Skip to content

Allows for previewing batch template

Request

Starts the process of downloading batches

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The batch template

file_name_templatestring(File Name Template)required
templatestring(Template)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batchDownloading/{tenantId}/preview' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "file_name_template": "string",
    "template": "string"
  }'

Responses

The batch downloading was initiated successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
string
Response
"string"